/*
 * THIS PROGRAM IS GENERATED UNDER LICENSE FROM NEC CORPORATION.
 */
/*global document, jQuery, systemcommon */

/**
 * @fileoverview 会員情報管理機能(MemberInfo)の各画面と各イベントの紐付けを定義するファイル。
 */

/**
 * 会員情報管理機能(MemberInfo)の名前空間。
 * @namespace
 */
var memberinfo = {};

(function ($) {
	"use strict";
	$(document)
		// 会員情報登録画面(InsertMemberInfo) 画面初期表示時、画面項目クリア処理
		.on("pagebeforeshow", "#InsertMemberInfo", function (event, data) {
			/**
			 * InsertMemberInfoのViewModelのインスタンスを生成する。
			 * @type {memberinfo.InsertMemberInfoViewModel}
			 */
			var target = new memberinfo.InsertMemberInfoViewModel();
			target.ev_pagebeforeshow(event, data);
		})
		// 会員情報登録画面(InsertMemberInfo) ページ初期処理時に各イベントをバインディングします。
		.on("pageinit", "#InsertMemberInfo", function (event) {

			// 会員情報登録画面(InsertMemberInfo) 確認画面を表示する
			$(document).on("tap", "#InsertMemberInfo #next", function (event) {
				/**
				 * InsertMemberInfoのViewModelのインスタンスを生成する。
				 * @type {memberinfo.InsertMemberInfoViewModel}
				 */
				var target = new memberinfo.InsertMemberInfoViewModel();
				target.ev_tapNext(event);
			});
		});

	$(document)
		// 確認画面(InsertConf) ページ初期処理時に各イベントをバインディングします。
		.on("pageinit", "#InsertConf", function (event) {

			// 確認画面(InsertConf) 会員情報登録画面に戻る。
			$(document).on("tap", "#InsertConf #cancel", function (event) {
				/**
				 * InsertConfのViewModelのインスタンスを生成する。
				 * @type {memberinfo.InsertConfViewModel}
				 */
				var target = new memberinfo.InsertConfViewModel();
				target.ev_tapCancel(event);
			});

			// 確認画面(InsertConf) ユーザが入力した値で登録処理を行う。
			$(document).on("tap", "#InsertConf #insert", function (event) {
				/**
				 * InsertConfのViewModelのインスタンスを生成する。
				 * @type {memberinfo.InsertConfViewModel}
				 */
				var target = new memberinfo.InsertConfViewModel();
				target.ev_tapInsert(event);
			});
		});

}(jQuery));
